#!/usr/bin/perl
# 
# This script has been automatically generated by STF.
# Do not check-in or attempt to make permanent changes.
#
# Test:         JlinkTest
# Test-args:    variant=ReqdMod
# Platform:     osx_x86-64
# Generated at: 01-Nov-2024 12:26:09.493
#

# Turn on autoflush
$| = 1;

use warnings;
use strict;

use lib '/Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/STF/stf.core/scripts';

use FindBin qw($Bin);
use File::Path qw(mkpath rmtree);
use File::Copy qw(copy);

use stf::stfUtility;
use stf::Commands;

my $rc;
my $err;

$ENV{'loggingLevel'} = "INFO";

# Move to the results directory, so that any created core files go there
chdir '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/results';


#
# Step   : 1
# Command: cpDir
# Comment: Copying com.test.jlink
#
info('');
info('+------ Step 1 - Copying com.test.jlink');
info('| Copy a directory to a new directory');
info('|   Source dir: /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink');
info('|   Dest dir:   /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy');
info('|');

$rc = stf::stfUtility->copyTree(from => '/Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink', to => '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy');
if ($rc != 0) {
    die "**FAILED** at step 1 (Copying com.test.jlink). Expected return value=0 Actual=$rc";
}


#
# Step   : 2
# Command: rm
# Comment: Removing natives folder from com.test.jLinkDirCopy
#
info('');
info('+------ Step 2 - Removing natives folder from com.test.jLinkDirCopy');
info('| Recursively delete a directory');
info('|   Directory: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy/native');
info('|');

rmtree( '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy/native', {error => \$err});
if ( defined (@$err[0] ) ) {
    stf::stfUtility->listErrors( @$err);
    die "**FAILED** at step 2 (Removing natives folder from com.test.jLinkDirCopy)";
}


#
# Step   : 3
# Command: jar
# Comment: Create com.test.jlink jar
#
info('');
info('+------ Step 3 - Create com.test.jlink jar');
info('| Create modular jar');
info('|   ModuleSpec:    openjdk.test.modularity/bin/tests/com.test.jlink');
info('|   ModuleVersion: null');
info('|   MainClass:     null');
info('|   HashModules:   null');
info('|');

# Cut+paste version of the command: /Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jar --create --file /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/3.com.test.jlink.jar -C /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink .

# The command to run
my $command3 = '/Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jar ' .
    '--create ' .
    '--file /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/3.com.test.jlink.jar ' .
    '-C /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink ' .
    '. ';

my $process_3CMJ;
# Execute the CMJ command, and wait for it to finish
($rc, $process_3CMJ) = stf::Commands->run_process(
    mnemonic  => 'CMJ',
    command   => $command3,
    logName   => '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/results/3.CMJ',
    echo      => '1',
    runtime   => '120',
    expectedOutcome => 'exitValue:0');
if ($rc != 0) {
    stf::Commands->kill_processes($process_3CMJ);
    die "**FAILED** at step 3 (Create com.test.jlink jar). Expected return value=0 Actual=$rc";
}
info('Created modular jar: 3.com.test.jlink.jar');


#
# Step   : 4
# Command: jar
# Comment: Create com.hello jar
#
info('');
info('+------ Step 4 - Create com.hello jar');
info('| Create modular jar');
info('|   ModuleSpec:    openjdk.test.modularity/bin/common-mods/com.hello');
info('|   ModuleVersion: null');
info('|   MainClass:     null');
info('|   HashModules:   null');
info('|');

# Cut+paste version of the command: /Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jar --create --file /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/4.com.hello.jar -C /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/common-mods/com.hello .

# The command to run
my $command4 = '/Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jar ' .
    '--create ' .
    '--file /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/4.com.hello.jar ' .
    '-C /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/common-mods/com.hello ' .
    '. ';

my $process_4CMJ;
# Execute the CMJ command, and wait for it to finish
($rc, $process_4CMJ) = stf::Commands->run_process(
    mnemonic  => 'CMJ',
    command   => $command4,
    logName   => '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/results/4.CMJ',
    echo      => '1',
    runtime   => '120',
    expectedOutcome => 'exitValue:0');
if ($rc != 0) {
    stf::Commands->kill_processes($process_4CMJ);
    die "**FAILED** at step 4 (Create com.hello jar). Expected return value=0 Actual=$rc";
}
info('Created modular jar: 4.com.hello.jar');


#
# Step   : 5
# Command: fileCheck
# Comment: Check com.test.jlink modular jar created
#
info('');
info('+------ Step 5 - Check com.test.jlink modular jar created');
info('| Validate file exists');
info('|   File: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/3.com.test.jlink.jar');
info('|');

if (!-f '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/3.com.test.jlink.jar') {
    die "**FAILED** at step 5 (Check com.test.jlink modular jar created). File does not exist: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/3.com.test.jlink.jar";
}



#
# Step   : 6
# Command: fileCheck
# Comment: Check com.hello modular jar created
#
info('');
info('+------ Step 6 - Check com.hello modular jar created');
info('| Validate file exists');
info('|   File: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/4.com.hello.jar');
info('|');

if (!-f '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/4.com.hello.jar') {
    die "**FAILED** at step 6 (Check com.hello modular jar created). File does not exist: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/modules/4.com.hello.jar";
}



#
# Step   : 7
# Command: rm
# Comment: Removing conf folder from com.test.jLinkDirCopy
#
info('');
info('+------ Step 7 - Removing conf folder from com.test.jLinkDirCopy');
info('| Recursively delete a directory');
info('|   Directory: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy/conf');
info('|');

rmtree( '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy/conf', {error => \$err});
if ( defined (@$err[0] ) ) {
    stf::stfUtility->listErrors( @$err);
    die "**FAILED** at step 7 (Removing conf folder from com.test.jLinkDirCopy)";
}


#
# Step   : 8
# Command: cpDir
# Comment: Copying .so from com.test.jlink/native
#
info('');
info('+------ Step 8 - Copying .so from com.test.jlink/native');
info('| Copy a directory to a new directory');
info('|   Source dir: /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink/native/bin/osx');
info('|   Dest dir:   /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/native');
info('|');

$rc = stf::stfUtility->copyTree(from => '/Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink/native/bin/osx', to => '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/native');
if ($rc != 0) {
    die "**FAILED** at step 8 (Copying .so from com.test.jlink/native). Expected return value=0 Actual=$rc";
}


#
# Step   : 9
# Command: jmod
# Comment: Creating jmod of com.test.jlink module
#
info('');
info('+------ Step 9 - Creating jmod of com.test.jlink module');
info('| Run jmod utility');
info('|   jmod: com.test.jlink.jmod');
info('|');

# Cut+paste version of the command: /Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jmod create --class-path /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy --config /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink/conf --libs /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/native /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.test.jlink.jmod

my @args9 = [
    'create',
    '--class-path /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/com.test.jLinkDirCopy',
    '--config /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/tests/com.test.jlink/conf',
    '--libs /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/native',
    '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.test.jlink.jmod',
];
# The command to run
my $command9 = '/Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jmod';

my $process_9JMOD;
# Execute the JMOD command, and wait for it to finish
($rc, $process_9JMOD) = stf::Commands->run_process(
    mnemonic  => 'JMOD',
    command   => $command9,
    args      => @args9,
    logName   => '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/results/9.JMOD',
    echo      => '1',
    runtime   => '60',
    expectedOutcome => 'exitValue:0');
if ($rc != 0) {
    stf::Commands->kill_processes($process_9JMOD);
    die "**FAILED** at step 9 (Run jmod). Expected return value=0 Actual=$rc";
}


#
# Step   : 10
# Command: jmod
# Comment: Creating jmod for com.hello module
#
info('');
info('+------ Step 10 - Creating jmod for com.hello module');
info('| Run jmod utility');
info('|   jmod: com.hello.jmod');
info('|');

# Cut+paste version of the command: /Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jmod create --class-path /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/common-mods/com.hello /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.hello.jmod

my @args10 = [
    'create',
    '--class-path /Users/jenkins/workspace/Grinder_iteration_4/jvmtest/system/aqa-systemtest/openjdk.test.modularity/bin/common-mods/com.hello',
    '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.hello.jmod',
];
# The command to run
my $command10 = '/Users/jenkins/workspace/Grinder_iteration_4/jdkbinary/j2sdk-image/bin/jmod';

my $process_10JMOD;
# Execute the JMOD command, and wait for it to finish
($rc, $process_10JMOD) = stf::Commands->run_process(
    mnemonic  => 'JMOD',
    command   => $command10,
    args      => @args10,
    logName   => '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/results/10.JMOD',
    echo      => '1',
    runtime   => '60',
    expectedOutcome => 'exitValue:0');
if ($rc != 0) {
    stf::Commands->kill_processes($process_10JMOD);
    die "**FAILED** at step 10 (Run jmod). Expected return value=0 Actual=$rc";
}


#
# Step   : 11
# Command: fileCheck
# Comment: Check com.test.jlink jmod created
#
info('');
info('+------ Step 11 - Check com.test.jlink jmod created');
info('| Validate file exists');
info('|   File: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.test.jlink.jmod');
info('|');

if (!-f '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.test.jlink.jmod') {
    die "**FAILED** at step 11 (Check com.test.jlink jmod created). File does not exist: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.test.jlink.jmod";
}



#
# Step   : 12
# Command: fileCheck
# Comment: Check com.hello jmod created
#
info('');
info('+------ Step 12 - Check com.hello jmod created');
info('| Validate file exists');
info('|   File: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.hello.jmod');
info('|');

if (!-f '/Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.hello.jmod') {
    die "**FAILED** at step 12 (Check com.hello jmod created). File does not exist: /Users/jenkins/workspace/Grinder_iteration_4/aqa-tests/TKG/output_17304781795534/Jlink_ReqMod_1_ITER_5/20241101-122607-JlinkTest/tmp/com.hello.jmod";
}



info('SETUP stage completed');
exit 0;
